Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.tasks.application
[Groovy] Class CreateStartScripts

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.application.CreateStartScripts

    class CreateStartScripts
    extends ConventionTask

A Task for creating OS dependent start scripts.

Property Summary
`String` | `applicationName` The application's name.
`FileCollection` | `classpath` The class path for the application.
`Iterable` | `defaultJvmOpts` The application's default JVM options.
`String` | `exitEnvironmentVar`
`String` | `mainClassName` The application's main class.
`String` | `optsEnvironmentVar`
`File` | `outputDir` The directory to write the scripts into.

Method Summary
`void` | `generate()`
`String` | `getExitEnvironmentVar()`
`String` | `getOptsEnvironmentVar()` Returns the name of the application's OPTS environment variable.
`File` | `getUnixScript()`
`File` | `getWindowsScript()`

Property Detail

### applicationName

    @Input
    String applicationName

  The application's name.

### classpath

    @InputFiles
    FileCollection classpath

  The class path for the application.

### defaultJvmOpts

    @Input
    @Optional
    Iterable defaultJvmOpts

  The application's default JVM options.

### exitEnvironmentVar

    String exitEnvironmentVar

### mainClassName

    @Input
    String mainClassName

  The application's main class.

### optsEnvironmentVar

    String optsEnvironmentVar

### outputDir

    File outputDir

  The directory to write the scripts into.

Method Detail

### generate

    @TaskAction
    void generate()

### getExitEnvironmentVar

    @Input
    String getExitEnvironmentVar()

### getOptsEnvironmentVar

    @Input
    String getOptsEnvironmentVar()

  Returns the name of the application's OPTS environment variable.

### getUnixScript

    @OutputFile
    File getUnixScript()

### getWindowsScript

    @OutputFile
    File getWindowsScript()

Gradle API 1.10